aboutsummaryrefslogtreecommitdiff
path: root/package/docker-compose/0002-Upgrade-pyyaml-to-4.2b1.patch
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <peter@korsgaard.com>2019-01-30 22:27:13 +0100
committerGravatar Peter Korsgaard <peter@korsgaard.com>2019-01-31 12:28:13 +0100
commit7e8d02140fe442a0329c3782d233346b0902cdc9 (patch)
treec628eb5761755f5a650ce59cd2d571ea1266319f /package/docker-compose/0002-Upgrade-pyyaml-to-4.2b1.patch
parent49dfa901e1b16563045bb0f5456fcadc9b62e380 (diff)
downloadbuildroot-7e8d02140fe442a0329c3782d233346b0902cdc9.tar.gz
buildroot-7e8d02140fe442a0329c3782d233346b0902cdc9.tar.bz2
docker-compose: backport upstream patch for pyyaml 4.x support
Otherwise docker-compose fails at runtime with: docker-compose Traceback (most recent call last): File "/usr/bin/docker-compose", line 6, in <module> from pkg_resources import load_entry_point File "usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3123, in <module> File "usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3107, in _call_aside File "usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3136, in _initialize_master_working_set File "usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 580, in _build_master File "usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 593, in _build_from_requirements File "usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 781, in resolve pkg_resources.DistributionNotFound: The 'PyYAML<4,>=3.10' distribution was not found and is required by docker-compose Signed-off-by: Peter Korsgaard <peter@korsgaard.com> (cherry picked from commit 3019b97648547b28806b3883ac98dc2315c06dd2) Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/docker-compose/0002-Upgrade-pyyaml-to-4.2b1.patch')
-rw-r--r--package/docker-compose/0002-Upgrade-pyyaml-to-4.2b1.patch27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/docker-compose/0002-Upgrade-pyyaml-to-4.2b1.patch b/package/docker-compose/0002-Upgrade-pyyaml-to-4.2b1.patch
new file mode 100644
index 0000000000..a3b4bfb853
--- /dev/null
+++ b/package/docker-compose/0002-Upgrade-pyyaml-to-4.2b1.patch
@@ -0,0 +1,27 @@
+From 8419a670aed3364c39b86a0608782aaeae3ce5df Mon Sep 17 00:00:00 2001
+From: Quentin Brunet <hello@quentinbrunet.com>
+Date: Tue, 8 Jan 2019 14:04:54 +0100
+Subject: [PATCH] Upgrade pyyaml to 4.2b1
+
+Signed-off-by: Quentin Brunet <hello@quentinbrunet.com>
+Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
+---
+ setup.py | 2 +-
+ 1 file changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 4c49bab7..8b5f9d99 100644
+--- a/setup.py
++++ b/setup.py
+@@ -32,7 +32,7 @@ def find_version(*file_paths):
+ install_requires = [
+ 'cached-property >= 1.2.0, < 2',
+ 'docopt >= 0.6.1, < 0.7',
+- 'PyYAML >= 3.10, < 4',
++ 'PyYAML >= 3.10, < 4.3',
+ 'requests >= 2.6.1, != 2.11.0, != 2.12.2, != 2.18.0, < 3.0',
+ 'texttable >= 0.9.0, < 0.10',
+ 'websocket-client >= 0.32.0, < 1.0',
+--
+2.11.0
+